#include <bits/stdc++.h>
using namespace std;
int main(){
cin.tie(0);
ios::sync_with_stdio(false);
    string a,b,res;
    res="";
    cin >> a >> b;
    if(a.length() < b.length()){
        swap(a,b);
    }
    int len = a.length() - b.length();
    for(int i = b.length()-1; i>=0;--i){
            if(a[i+len]==b[i]){
                res+=b[i];
                res+=b[i];
            }
            else{
                res+=max(a[i+len],b[i]);
            }
        }
    if(len>0){
        for(int i=len-1;i>=0;--i){
            res+=a[i];
        }
    }
        reverse(res.begin(), res.end());
        cout << res << endl;
     return 0;
}